searchData={"items":[{"type":"extras","title":"Vultr Cloud Server","doc":"# Vultr Cloud Server\n[![Build Status](https://travis-ci.org/nerves-project/nerves_system_vultr.png?branch=master)](https://travis-ci.org/nerves-project/nerves_system_vultr)\n\nThis is the base Nerves System configuration for a Vultr cloud server. It is close to a generic x86_64\nconfiguration and should be useful for other cloud server images.\n\n| Feature              | Description                     |\n| -------------------- | ------------------------------- |\n| CPU                  | Intel                           |\n| Memory               | 512 MB+ DRAM                    |\n| Storage              | Virtio (/dev/vda)               |\n| Linux kernel         | 4.19                            |\n| IEx terminal         | VNC display - tty0              |\n| Hardware I/O         | None                            |\n| Ethernet             | Yes                             |\n\nNerves images created using this system first need to be install onto a Vultr\nserver and then they can be upgraded using normal Nerves methods. For an\ninstaller, see\n[nerves_vultr_loader](https://github.com/fhunleth/fhunleth-buildroot-experiments/tree/master/board/nerves_vultr_loader).\nThere are some basic instructions there.\n\nPlease contact me about this if you're really interested in it. I don't\nmaintain it, and unless you really dig through the code, it's not going\nto be obvious how it works. I'm happy to help if you're really interested.","ref":"readme.html"},{"type":"extras","title":"Installation - Vultr Cloud Server","doc":"Add `nerves_system_vultr` to your list of dependencies in mix.exs:\n\n```\n  def deps do\n    [{:nerves_system_vultr, \"~> 0.1\"}]\n  end\n```","ref":"readme.html#installation"},{"type":"extras","title":"Changelog","doc":"# Changelog\n\nThis project does NOT follow semantic versioning. The version increases as\nfollows:\n\n1. Major version updates are breaking updates to the build infrastructure.\n   These should be very rare.\n2. Minor version updates are made for every major Buildroot release. This\n   may also include Erlang/OTP and Linux kernel updates. These are made four\n   times a year shortly after the Buildroot releases.\n3. Patch version updates are made for Buildroot minor releases, Erlang/OTP\n   releases, and Linux kernel updates. They're also made to fix bugs and add\n   features to the build infrastructure.","ref":"changelog.html"},{"type":"extras","title":"v0.21.1 - Changelog","doc":"This is a security/bug fix update.\n\n* Package updates\n  * [nerves_system_br v1.24.1](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.24.1)\n  * [Erlang/OTP 26.1.1](https://erlang.org/download/OTP-26.1.1.README)\n  * [Buildroot 2023.05.3](https://lore.kernel.org/buildroot/87h6ngup34.fsf@48ers.dk/T/)","ref":"changelog.html#v0-21-1"},{"type":"extras","title":"v0.21.0 - Changelog","doc":"This is a Buildroot version update that appears to mostly contain bug and\nsecurity fixes. It should be a low risk upgrade from v0.20.2.\n\n* Updated dependencies\n  * [nerves_system_br v1.24.0](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.24.0)\n  * [Buildroot 2023.05.2](https://lore.kernel.org/buildroot/87ledrkrpp.fsf@48ers.dk/T/), [2023.05.1](https://lore.kernel.org/buildroot/87351m8qm4.fsf@48ers.dk/T/), [2023.05](https://lore.kernel.org/buildroot/87r0qn2c77.fsf@48ers.dk/T/)\n  * [Erlang/OTP 26.1](https://erlang.org/download/OTP-26.1.README)","ref":"changelog.html#v0-21-0"},{"type":"extras","title":"v0.20.2 - Changelog","doc":"* Updated dependencies\n  * [nerves_system_br v1.23.3](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.23.3)","ref":"changelog.html#v0-20-2"},{"type":"extras","title":"v0.20.1 - Changelog","doc":"This is a bug and security fix update. It should be a low risk upgrade.\n\n* Fixes\n  * Fix CTRL+R over ssh\n\n* Updated dependencies\n  * [nerves_system_br v1.23.2](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.23.2)\n  * [Buildroot 2023.02.2](https://lore.kernel.org/buildroot/87y1je6wva.fsf@48ers.dk/T/)","ref":"changelog.html#v0-20-1"},{"type":"extras","title":"v0.20.0 - Changelog","doc":"This is a major update that brings in Erlang/OTP 26 and Buildroot 2023.02.2.\n\n* New features\n  * CA certificates are included for OTP 26.\n\n* Updated dependencies\n  * [nerves_system_br v1.23.1](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.23.1)\n  * [Buildroot 2023.02.2](https://lore.kernel.org/buildroot/87wn03ifbl.fsf@48ers.dk/T/)\n  * [Erlang/OTP 26.0.2](https://erlang.org/download/OTP-26.0.2.README)","ref":"changelog.html#v0-20-0"},{"type":"extras","title":"v0.19.2 - Changelog","doc":"This is a bug and security fix update. It should be a low risk upgrade.\n\n* Updated dependencies\n  * [nerves_system_br v1.22.5](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.22.5)\n  * [Buildroot 2022.11.3](https://lore.kernel.org/buildroot/878rfuxbxx.fsf@dell.be.48ers.dk/T/)","ref":"changelog.html#v0-19-2"},{"type":"extras","title":"v0.19.1 - Changelog","doc":"This is a bug fix and Erlang version bump from 25.2 to 25.2.3. It should be a\nlow risk upgrade.\n\n* Fixes\n  * Set Erlang crash dump timer to 5 seconds, so if an Erlang crash dump does\n    happen, it will run for at most 5 seconds. See erlinit.conf.\n\n* Updated dependencies\n  * [nerves_system_br v1.22.3](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.22.3)\n  * [Buildroot 2022.11.1](https://lore.kernel.org/buildroot/87ilh4dvax.fsf@dell.be.48ers.dk/T/#u)","ref":"changelog.html#v0-19-1"},{"type":"extras","title":"v0.19.0 - Changelog","doc":"This is a Buildroot version update that appears to mostly contain bug and\nsecurity fixes. It should be a low risk upgrade.\n\n* Updated dependencies\n  * [nerves_system_br v1.22.1](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.22.1)\n  * [Buildroot 2022.11](http://lists.busybox.net/pipermail/buildroot/2022-December/656980.html)\n  * GCC 12.2","ref":"changelog.html#v0-19-0"},{"type":"extras","title":"v0.18.2 - Changelog","doc":"* Changes\n  * Two Buildroot patch updates and an Erlang minor version update\n  * Nerves Heart v2.0 is now included. Nerves Heart connects the Erlang runtime\n    to a hardware watchdog. v2.0 has numerous updates to improve information\n    that you can get and also has more safeguards to avoid conditions that could\n    cause a device to hang forever.\n\n* Updated dependencies\n  * [nerves_system_br v1.21.6](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.21.6)\n  * [Erlang/OTP 25.2](https://erlang.org/download/OTP-25.2.README)\n  * [Buildroot 2022.08.3](https://lore.kernel.org/buildroot/87r0x7z5cw.fsf@dell.be.48ers.dk/T/#u)\n  * [nerves_heart v2.0.2](https://github.com/nerves-project/nerves_heart/releases/tag/v2.0.2)","ref":"changelog.html#v0-18-2"},{"type":"extras","title":"v0.18.1 - Changelog","doc":"* Changes\n  * Fix regression when building on x86_64 Linux where wrong toolchain was used.\n\n* Updated dependencies\n  * [nerves_system_br v1.21.2](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.21.2)\n  * [Erlang/OTP 25.1.2](https://erlang.org/download/OTP-25.1.2.README)","ref":"changelog.html#v0-18-1"},{"type":"extras","title":"v0.18.0 - Changelog","doc":"* Changes\n  * Support aarch64 Linux builds\n  * Add libdtc to support runtime loading of device tree overlays\n\n* Updated dependencies\n  * [nerves_system_br v1.21.1](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.21.1)\n    and also see [nerves_system_br v1.21.0](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.21.0)\n  * [Buildroot 2022.08.1](http://lists.busybox.net/pipermail/buildroot/2022-October/652816.html)\n  * [Erlang/OTP 25.1.1](https://erlang.org/download/OTP-25.1.1.README)","ref":"changelog.html#v0-18-0"},{"type":"extras","title":"v0.17.3 - Changelog","doc":"* Updated dependencies\n  * [nerves_system_br v1.20.6](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.20.6)\n  * [Erlang/OTP 25.0.4](https://erlang.org/download/OTP-25.0.4.README)\n  * [Buildroot 2022.05.2](http://lists.busybox.net/pipermail/buildroot/2022-August/650546.html)\n  * Also see [Buildroot 2022.05.1 changes](http://lists.busybox.net/pipermail/buildroot/2022-July/647814.html)","ref":"changelog.html#v0-17-3"},{"type":"extras","title":"v0.17.2 - Changelog","doc":"* Updated dependencies\n  * [nerves_system_br v1.20.4](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.20.4)\n  * [Erlang/OTP 25.0.3](https://erlang.org/download/OTP-25.0.3.README)","ref":"changelog.html#v0-17-2"},{"type":"extras","title":"v0.17.1 - Changelog","doc":"* Fixes\n  * Fix a Buildroot configuration error that caused a non-Nerves GCC 11.2\n    toolchain to be used instead of the Nerves GCC 11.3 toolchain. Due to an ABI\n    difference, NIFs and ports wouldn't work.\n\n* Updated dependencies\n  * Linux 5.4.204","ref":"changelog.html#v0-17-1"},{"type":"extras","title":"v0.17.0 - Changelog","doc":"This release updates to Buildroot 2022.05 and uses GCC 11.3 (from GCC 10.3).\n\n* Updated dependencies\n  * [nerves_system_br v1.20.3](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.20.3)\n  * [Buildroot 2022.05](http://lists.busybox.net/pipermail/buildroot/2022-June/644349.html)\n  * [Erlang/OTP 25.0.2](https://erlang.org/download/OTP-25.0.2.README)","ref":"changelog.html#v0-17-0"},{"type":"extras","title":"v0.16.0 - Changelog","doc":"This release updates to Buildroot 2022.02.1 and OTP 25.0. While this should be\nan easy update for most projects, many programs have been updated. Please review\nthe changes in the updated dependencies for details.\n\n* Updated dependencies\n  * [nerves_system_br v1.19.0](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.19.0)\n  * [Buildroot 2022.02.1](http://lists.busybox.net/pipermail/buildroot/2022-April/640712.html). Also see [Buildroot 2022.02](http://lists.busybox.net/pipermail/buildroot/2022-March/638160.html)\n  * [Erlang/OTP 25.0](https://erlang.org/download/OTP-25.0.README)","ref":"changelog.html#v0-16-0"},{"type":"extras","title":"v0.15.4 - Changelog","doc":"This release bumps Erlang to 24.3.2 and should be a low risk upgrade from the\nprevious release.\n\n* Updated dependencies\n  * [nerves_system_br v1.18.6](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.18.6)","ref":"changelog.html#v0-15-4"},{"type":"extras","title":"v0.15.3 - Changelog","doc":"This is a Buildroot and Erlang bug and security fix release. It should be a low\nrisk upgrade from the previous release.\n\n* Updated dependencies\n  * [nerves_system_br v1.18.5](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.18.5)","ref":"changelog.html#v0-15-3"},{"type":"extras","title":"v0.15.2 - Changelog","doc":"This is a Buildroot and Erlang bug fix release. It should be a low risk upgrade\nfrom the previous release.\n\n* Updated dependencies\n  * [nerves_system_br v1.18.4](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.18.4)\n\n* Changes\n  * Specify CPU-specific flags when compiling NIFs and ports. This fixes an\n    issue where some optimizations could not be enabled in NIFs even though it\n    should be possible to have them. E.g., ARM NEON support for CPUs that have\n    it.","ref":"changelog.html#v0-15-2"},{"type":"extras","title":"v0.15.1 - Changelog","doc":"* Updated dependencies\n  * [nerves_system_br v1.18.3](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.18.3)\n\n* Changes\n  * Programs that use OpenMP will run now. The OpenMP shared library\n    (`libgomp.so`) was supplied by the toolchain, but not copied.","ref":"changelog.html#v0-15-1"},{"type":"extras","title":"v0.15.0 - Changelog","doc":"This release updates to Buildroot 2021.11 and OTP 24.2. If you have made a\ncustom system, please review the `nerves_system_br` [release\nnotes](https://github.com/nerves-project/nerves_system_br/blob/v1.18.2/CHANGELOG.md#v1180).\n\n* Updated dependencies\n  * [nerves_system_br v1.18.2](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.18.2)\n  * [Buildroot 2021.11](http://lists.busybox.net/pipermail/buildroot/2021-December/629911.html)\n  * [Erlang/OTP 24.2](https://erlang.org/download/OTP-24.2.README)\n  * GCC 10.3\n\n* Improvements\n  * Support for the `dl.nerves-project.org` backup site. Due to a GitHub outage\n    in November, there was a 2 day period of failing builds since some packages\n    could not be downloaded. We implemented the backup site to prevent this in\n    the future. This update is in the `nerves_defconfig`.\n  * Use new build ORB on CircleCI. This ORB will shorten build times to fit in\n    CircleCI's new free tier limits. Please update if building your own systems.","ref":"changelog.html#v0-15-0"},{"type":"extras","title":"v0.14.3 - Changelog","doc":"* Updated dependencies\n  * [nerves_system_br v1.17.4](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.17.4)\n  * [Buildroot 2021.08.2](http://lists.busybox.net/pipermail/buildroot/2021-November/628323.html)\n  * [Erlang/OTP 24.1.7](https://erlang.org/download/OTP-24.1.7.README).","ref":"changelog.html#v0-14-3"},{"type":"extras","title":"v0.14.2 - Changelog","doc":"* Updated dependencies\n  * [nerves_system_br v1.17.3](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.17.3)\n  * [Erlang/OTP 24.1.4](https://erlang.org/download/OTP-24.1.4.README).","ref":"changelog.html#v0-14-2"},{"type":"extras","title":"v0.14.1 - Changelog","doc":"This is a security/bug fix patch release. It should be safe to update for\neveryone.\n\n* Updated dependencies\n  * [nerves_system_br v1.17.1](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.17.1)\n  * [Buildroot 2021.08.1](http://lists.busybox.net/pipermail/buildroot/2021-October/625642.html)\n  * [Erlang/OTP 24.1.2](https://erlang.org/download/OTP-24.1.2.README)\n\n* Improvements\n  * Include software versioning and licensing info (see legal-info directory in\n    artifact)","ref":"changelog.html#v0-14-1"},{"type":"extras","title":"v0.14.0 - Changelog","doc":"This release updates to Buildroot 2021.08 and OTP 24.1. If you have made a\ncustom system off this one, please review the `nerves_system_br v1.17.0` release\nnotes.\n* Updated dependencies\n  * [nerves_system_br v1.17.0](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.17.0)\n  * [Buildroot 2021.08](http://lists.busybox.net/pipermail/buildroot/2021-September/622072.html)\n  * [Erlang/OTP 24.1](https://erlang.org/download/OTP-24.1.README)","ref":"changelog.html#v0-14-0"},{"type":"extras","title":"v0.13.2 - Changelog","doc":"This release updates Erlang/OTP from 24.0.3 to 24.0.5 and Buildroot from 2021.05\nto 2021.05.1. Both of these are security/bug fix updates. This is expected to be\na safe upgrade from v1.16.1 for all users.\n\n* Updated dependencies\n  * [nerves_system_br v1.16.4](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.16.1)\n  * [Erlang/OTP 24.0.5](https://erlang.org/download/OTP-24.0.5.README)\n\n* Improvements\n  * Beta support for using a `runtime.exs` script for runtime configuration.\n  * Added a `provision` task to the `fwup.config` to enable re-provisioning a\n    MicroSD card without changing its contents.\n  * Adds a default `/etc/sysctl.conf` that enables use of ICMP in Erlang. This\n    requires `nerves_runtime v0.11.5` or later to automatically load the sysctl\n    variables. With it using `:gen_udp` to send/receive ICMP will \"just work\".\n    It also makes it easier to add other sysctl variables if needed.","ref":"changelog.html#v0-13-2"},{"type":"extras","title":"v0.13.1 - Changelog","doc":"This release updates Nerves Toolchains to v1.4.3 and OTP 24.0.3. It should be safe for everyone to apply.\n\n* Updated dependencies\n  * [nerves_system_br v1.16.1](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.16.1)\n  * [Erlang/OTP 24.0.3](https://erlang.org/download/OTP-24.0.3.README)\n  * [nerves toolchains v1.4.3](https://github.com/nerves-project/toolchains/releases/tag/v1.4.3)","ref":"changelog.html#v0-13-1"},{"type":"extras","title":"v0.13.0 - Changelog","doc":"This release updates to Buildroot 2021.05 and OTP 24.0.2. If you have made a\ncustom system off this one, please review the `nerves_system_br v1.16.0` release\nnotes.\n\n* Updated dependencies\n  * [nerves_system_br v1.16.0](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.16.0)\n  * [Buildroot 2021.05](http://lists.busybox.net/pipermail/buildroot/2021-June/311946.html)\n  * [Erlang/OTP 24.0.2](https://erlang.org/download/OTP-24.0.2.README)\n\n* Improvements\n  * This release now contains debug symbols and includes the Build-ID in the\n    ELF headers. This makes it easier to get stack traces from C programs. As\n    before, the Nerves tooling strips all symbols from firmware images, so this\n    won't make programs bigger.","ref":"changelog.html#v0-13-0"},{"type":"extras","title":"v0.12.1 - Changelog","doc":"This is a security/bug fix release that updates to Buildroot 2021.02.1 and OTP\n23.3.1. It should be safe for everyone to apply.\n\n* Updated dependencies\n  * [nerves_system_br v1.15.1](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.15.1)\n  * [Buildroot 2021.02](http://lists.busybox.net/pipermail/buildroot/2021-April/307970.html)\n  * [Erlang/OTP 23.3.1](https://erlang.org/download/OTP-23.3.1.README)","ref":"changelog.html#v0-12-1"},{"type":"extras","title":"v0.12.0 - Changelog","doc":"This release updates to Buildroot 2021.02 and OTP 23.2.7. If you have made a\ncustom system off this one, please review the `nerves_system_br v1.15.0` release\nnotes.\n\nThe Nerves toolchain has also been updated to v1.4.2. This brings in Linux 4.14\nheaders to enable use of cdev and eBPF. This won't affect most users.\n\n* Updated dependencies\n  * [nerves_system_br v1.15.0](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.15.0)\n  * [Buildroot 2021.02](http://lists.busybox.net/pipermail/buildroot/2021-March/305168.html)\n  * [Erlang/OTP 23.2.7](https://erlang.org/download/OTP-23.2.7.README)\n  * [nerves toolchains v1.4.2](https://github.com/nerves-project/toolchains/releases/tag/v1.4.2)","ref":"changelog.html#v0-12-0"},{"type":"extras","title":"v0.11.0 - Changelog","doc":"This release updates to Buildroot 2020.11.2, GCC 10.2 and OTP 23.2.4.\n\nWhen migrating custom systems based, please be aware of the following important\nchanges:\n\n* The GCC 10.2.0 toolchain has a different name that calls out \"nerves\" as the\n  vendor and the naming is now more consistent with other toolchain providers.\n* Experimental support for tooling that requires more information about the\n  target has been added. The initial support focuses on zigler.\n\n* Updated dependencies\n  * [nerves_system_br: bump to v1.14.4](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.14.4)\n  * [Buildroot 2020.11.2](http://lists.busybox.net/pipermail/buildroot/2021-January/302574.html)\n  * [Erlang/OTP 23.2.4](https://erlang.org/download/OTP-23.2.4.README)\n  * [Nerves toolchains 1.4.1](https://github.com/nerves-project/toolchains/releases/tag/v1.4.1)","ref":"changelog.html#v0-11-0"},{"type":"extras","title":"v0.10.4 - Changelog","doc":"This is a bug fix release and contains no major changes.\n\n* Updated dependencies\n  * [nerves_system_br: bump to v1.13.7](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.13.7)\n  * [Erlang/OTP 23.1.5](https://erlang.org/download/OTP-23.1.5.README)","ref":"changelog.html#v0-10-4"},{"type":"extras","title":"v0.10.3 - Changelog","doc":"This release includes a patch release update to\n[Buildroot 2020.08.2](http://lists.busybox.net/pipermail/buildroot/2020-November/296830.html).\n\n* Updated dependencies\n  * [nerves_system_br: bump to v1.13.5](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.13.5)\n  * [erlinit 1.9.0](https://github.com/nerves-project/erlinit/releases/tag/v1.9.0)\n\n* Improvements\n  * Switched source for built-in WiFi module firmware. This pulls in newer\n    firmware versions that were found to fix issues on the Raspberry Pi 4. It\n    may improve built-in WiFi on other Raspberry Pis.","ref":"changelog.html#v0-10-3"},{"type":"extras","title":"v0.10.2 - Changelog","doc":"* Fixes\n  * Adds `libnl` back to support VintageNet","ref":"changelog.html#v0-10-2"},{"type":"extras","title":"v0.10.1 - Changelog","doc":"The main change in this release is to bump the Linux kernel to 5.4. This follows\nsimilar updates to Linux 5.4 across the official Nerves systems. Please review\nthe `linux-5.4.defconfig` for changes.\n\n* Updated dependencies\n  * [nerves_system_br: bump to v1.13.4](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.13.4)\n  * [Erlang/OTP 23.1.4](https://erlang.org/download/OTP-23.1.4.README)\n  * [boardid 1.10.0](https://github.com/nerves-project/boardid/releases/tag/v1.10.0)\n\n* Improvements\n  * Enabled reproducible builds in Buildroot to remove some timestamp and build\n    path differences in firmware images. This helps delta firmware updates.","ref":"changelog.html#v0-10-1"},{"type":"extras","title":"v0.10.0 - Changelog","doc":"This release updates to [Buildroot\n2020.08](http://lists.busybox.net/pipermail/buildroot/2020-September/290797.html) and OTP 23.1.1.\n\n* Updated dependencies\n  * [nerves_system_br: bump to v1.13.2](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.13.2)\n  * [Erlang/OTP 23.1.1](https://erlang.org/download/OTP-23.1.1.README)\n  * [erlinit 1.8.0](https://github.com/nerves-project/erlinit/releases/tag/v1.8.0)\n  * [nerves 1.7.0](https://github.com/nerves-project/nerves/releases/tag/v1.7.0)","ref":"changelog.html#v0-10-0"},{"type":"extras","title":"v0.9.2 - Changelog","doc":"This release updates to [Buildroot\n2020.05.1](http://lists.busybox.net/pipermail/buildroot/2020-July/287824.html)\nand OTP 23.0.3 which are both bug fix releases.\n\n* Updated dependencies\n  * [nerves_system_br: bump to v1.12.4](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.12.4)\n  * [Erlang/OTP 23.0.3](https://erlang.org/download/OTP-23.0.3.README)\n  * [nerves_heart v0.3.0](https://github.com/nerves-project/nerves_heart/releases/tag/v0.3.0)\n\n* New features\n  * The `/data` directory now exists for storing application-specific data. It\n    is currently a symlink to `/root`. Using `/data` will eventually be\n    encouraged over `/root` even though currently there is no advantage. This\n    change makes it possible to start migrating paths in applications and\n    libraries.\n\n* Fixes\n  * Fixed old references to the `-Os` compiler flag. All C/C++ code will default\n    to using `-O2` now.","ref":"changelog.html#v0-9-2"},{"type":"extras","title":"v0.9.1 - Changelog","doc":"* Fixes\n  * Remove `nerves_system_linter` from hex package. This fixes mix dependency\n    errors in projects that reference systems with different\n    `nerves_system_linter` dependency specs.","ref":"changelog.html#v0-9-1"},{"type":"extras","title":"v0.9.0 - Changelog","doc":"This release updates the system to use Buildroot 2020.05 and Erlang/OTP 23.\nPlease see the respective release notes for updates and deprecations in both\nprojects for changes that may affect your application.\n\n* Updated dependencies\n  * [nerves_system_br v1.12.0](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.12.0)\n  * [Erlang/OTP 23.0.2](https://erlang.org/download/OTP-23.0.2.README)","ref":"changelog.html#v0-9-0"},{"type":"extras","title":"v0.8.2 - Changelog","doc":"* Updated dependencies\n  * [nerves_system_br v1.11.4](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.11.4)\n  * Erlang 22.3.4.1\n  * fwup 1.7.0","ref":"changelog.html#v0-8-2"},{"type":"extras","title":"v0.8.1 - Changelog","doc":"* Updated dependencies\n  * [nerves_system_br v1.11.2](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.11.2)\n  * Erlang 22.3.1\n  * erlinit 1.7.0 - tty initialization support\n  * fwup 1.6.0 - xdelta3/VCDIFF patch support\n  * Enable unixodbc so that Erlang's odbc application can be used in projects","ref":"changelog.html#v0-8-1"},{"type":"extras","title":"v0.8.0 - Changelog","doc":"This release updates Buildroot to 2020.02 and upgrades gcc from 8.3 to 9.2.\nWhile this is a minor version bump due to the Buildroot release update, barring\nadvanced usage of Nerves, this is a straightforward update from v0.7.2.\n\n* Updated dependencies\n  * [nerves_system_br v1.11.0](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.11.0)\n  * linux 4.19.108\n  * Erlang 22.2.8","ref":"changelog.html#v0-8-0"},{"type":"extras","title":"v0.7.2 - Changelog","doc":"* Updated dependencies\n  * [nerves_system_br v1.10.2](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.10.2)\n  * Erlang 22.2.4","ref":"changelog.html#v0-7-2"},{"type":"extras","title":"v0.7.1 - Changelog","doc":"* Enhancements\n  * Set `expand=true` on the application data partition. This will only take\n    effect for users running the complete task, fwup will not expand application\n    data partitions that exist during upgrade tasks.\n\n* Updated dependencies\n  * [nerves_system_br v1.10.1](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.10.1)\n  * Erlang 22.2.3","ref":"changelog.html#v0-7-1"},{"type":"extras","title":"v0.7.0 - Changelog","doc":"This release updates Buildroot to 2019.11 with security and bug fix updates\nacross Linux packages. Enables dnsd, udhcpd and ifconfig in the default\nBusybox configuration to support `vintage_net` and `vintage_net_wizard`.\nSee the `nerves_system_br` notes for details.\n\n* Updated dependencies\n  * [nerves_system_br v1.10.0](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.10.0)\n  * Erlang 22.1.8","ref":"changelog.html#v0-7-0"},{"type":"extras","title":"v0.6.2 - Changelog","doc":"This release updates Buildroot to 2019.08.2 with security and bug fix updates\nacross Linux packages. See the `nerves_system_br` notes for details.\nErlang/OTP is now at 22.1.7.\n\n* Updated dependencies\n  * [nerves_system_br v1.9.5](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.9.5)","ref":"changelog.html#v0-6-2"},{"type":"extras","title":"v0.6.1 - Changelog","doc":"This release pulls in security and bug fix updates from `nerves_system_br`.\nErlang/OTP is now at 22.1.1.\n\n* Updated dependencies\n  * [nerves_system_br v1.9.4](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.9.4)","ref":"changelog.html#v0-6-1"},{"type":"extras","title":"v0.6.0 - Changelog","doc":"This release updates Buildroot to 2019.08 with security and bug fix updates\nacross Linux packages. See the `nerves_system_br` notes for details.\n\n* Updated dependencies\n  * [nerves_system_br v1.9.2](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.9.2)","ref":"changelog.html#v0-6-0"},{"type":"extras","title":"v0.5.2 - Changelog","doc":"* Updated dependencies\n  * [nerves_system_br v1.8.5](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.8.5)","ref":"changelog.html#v0-5-2"},{"type":"extras","title":"v0.5.1 - Changelog","doc":"* Updated dependencies\n  * [nerves_system_br v1.8.4](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.8.4)","ref":"changelog.html#v0-5-1"},{"type":"extras","title":"v0.5.0 - Changelog","doc":"This release\n\nThis release updates Erlang to OTP 22 and gcc from version 7.3.0 to 8.3.0.\nSee the nerves_system_br and toolchain release notes for more information.\n\n* Enhancements\n  * Enable source-based routing in the Linux kernel to support [vintage_net](https://github.com/nerves-networking/vintage_net)\n\n* Updated dependencies\n  * Erlang 22.0.4\n  * [nerves_system_br v1.8.2](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.8.2)\n  * [nerves_toolchain_arm_unknown_linux_gnueabihf v1.2.0](https://github.com/nerves-project/toolchains/releases/tag/v1.2.0)","ref":"changelog.html#v0-5-0"},{"type":"extras","title":"v0.4.2 - Changelog","doc":"* Bux fixes\n  * Add TAR option `--no-same-owner` to fix errors when untarring artifacts as\n    the root user.\n* Updated dependencies\n  * [nerves_system_br v1.7.2](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.7.2)","ref":"changelog.html#v0-4-2"},{"type":"extras","title":"v0.4.1 - Changelog","doc":"* Improvements\n  * Bump C compiler options to `-O2` from `-Os`. This provides a small, but\n    measurable performance improvement (500ms at boot in a trivial project\n    tested on [nerves_system_rpi0](https://github.com/nerves-project/nerves_system_rpi0)).\n\n* Updated dependencies\n  * [nerves_system_br v1.7.1](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.7.1)","ref":"changelog.html#v0-4-1"},{"type":"extras","title":"v0.4.0 - Changelog","doc":"* Updated dependencies\n  * [nerves_system_br v1.7.0](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.7.0)\n  * Erlang 21.2.7\n  * Linux 4.19.29","ref":"changelog.html#v0-4-0"},{"type":"extras","title":"v0.3.0 - Changelog","doc":"**Host requirements**\n\nBuilding firmware using this system requires `fwup` to be updated on your\nhost computer to at least `v1.2.5`. The target minimum version requirement\nhas not changed from `0.15.0`.\n\n**Serial numbers**\n\nDevice serial numbers are now set using `NERVES_SERIAL_NUMBER` instead of\n`SERIAL_NUMBER`. This is to reduce ambiguity on the source of the serial\nby name spacing it along side other Nerves variables. The U-Boot environment\nkey has also changed from `serial_number` to `nerves_serial_number`. The\nerlinit.config has been updated to provide backwards compatibility for setting\nthe hostname from the serial number by checking for `nerves_serial_number`\nand falling back to `serial_number`.\n\n**Custom provisioning**\n\nProvisioning data is applied at the time of calling the `fwup` task `complete`.\nThe `complete` task is executed when writing the firmware to the target disk.\nDuring this time, `fwup` will include the contents of a provisioning file\nlocated at `${NERVES_SYSTEM}/images/fwup_include/provisioning.conf`. By default,\nthis file only sets `nerves_serial_number`. You can add additional provisioning\ndata by overriding the location of this file to include your own by setting\nthe environment variable `NERVES_PROVISIONING`. If you override this variable\nyou will be responsible for also setting `nerves_serial_number`.\n\n* Updated dependencies\n  * [nerves_system_br v1.6.5](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.6.5)\n  * Erlang 21.2.2\n  * boardid 1.5.2\n  * erlinit 1.4.9\n  * OpenSSL 1.1.1a\n  * Linux 4.18\n\n* Enhancements\n  * Moved boardid config from inside erlinit.config to /etc/boardid.config","ref":"changelog.html#v0-3-0"},{"type":"extras","title":"v0.2.1 - Changelog","doc":"* Fix up toolchain references","ref":"changelog.html#v0-2-1"},{"type":"extras","title":"v0.2.0 - Changelog","doc":"* Switch from glibc to muslc to reduce image size\n* Update to nerves_system_br v0.14.0","ref":"changelog.html#v0-2-0"},{"type":"extras","title":"v0.1.0 - Changelog","doc":"* Initial release","ref":"changelog.html#v0-1-0"}],"content_type":"text/markdown"}